org.jboss.jca.as.converters.wls.api.metadata

## Interface ResourceAdapterSecurity

- All Superinterfaces:
    java.io.Serializable, WlsMetadata
  All Known Implementing Classes:
    ResourceAdapterSecurityImpl

      public interface ResourceAdapterSecurity
      extends WlsMetadata

  A generic ResourceAdapterSecurity.
  Author:
    Jeff Zhang

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ResourceAdapterSecurity.Attribute` A Attribute.
    `static class` | `ResourceAdapterSecurity.Tag` A Tag.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnonPrincipal` | `getDefaultPrincipalName()` Get DefaultPrincipalName
    `AnonPrincipal` | `getManageAsPrincipalName()` Get ManageAsPrincipalName
    `AnonPrincipalCaller` | `getRunAsPrincipalName()` Get RunAsPrincipalName
    `AnonPrincipalCaller` | `getRunWorkAsPrincipalName()` Get RunWorkAsPrincipalName
    `SecurityWorkContext` | `getSecurityWorkContext()` Get SecurityWorkContext

- - ### Method Detail

    - #### getDefaultPrincipalName

          AnonPrincipal getDefaultPrincipalName()

      Get DefaultPrincipalName
      Returns:
        the AnonPrincipal

    - #### getManageAsPrincipalName

          AnonPrincipal getManageAsPrincipalName()

      Get ManageAsPrincipalName
      Returns:
        the AnonPrincipal

    - #### getRunAsPrincipalName

          AnonPrincipalCaller getRunAsPrincipalName()

      Get RunAsPrincipalName
      Returns:
        the AnonPrincipalCaller

    - #### getRunWorkAsPrincipalName

          AnonPrincipalCaller getRunWorkAsPrincipalName()

      Get RunWorkAsPrincipalName
      Returns:
        the AnonPrincipalCaller

    - #### getSecurityWorkContext

          SecurityWorkContext getSecurityWorkContext()

      Get SecurityWorkContext
      Returns:
        the SecurityWorkContext

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)